﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Threading;

namespace PojeClient {
    // Log吐き用のstaticクラス
    // 通常はメイン画面のテキストボックスに吐くが，ファイル等に書き込むこともできてもいい
    class Logger {
        private static Form_main fOwnerForm;
        private static TextBox fTextBox;

        public static void setLogBox(Form_main owner, TextBox textbox) {
            fOwnerForm = owner;
            fTextBox = textbox;
        }

        public static void log(String s) {
            fOwnerForm.AppendText(DateTime.Now + " ," + s + "\n");  
        }

        public static void netlog(String s) {
            if (Settings.showingNetLog == true) log(s);
        }

        public static void show(String s) {
            MessageBox.Show(s);
        }
    }
}
