﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PojeClient {
    // 合法手の中から適当に選んで着手する
    class AI_Random : Player {
        private int fMyIndex;
        private int fTimeLimit;
        private Action[] fAnswerBox;
        private Random fRand;

        public String getName() {
            return "AI : Random";
        }

        public void newGame(int yourIndex) {
            fRand = new Random(yourIndex + (new Random()).Next());
            fMyIndex = yourIndex;
        }

        public void endGame(int result) {
        }


        public void setParam(int timeLimit, Action[] answerBox) {
            fTimeLimit = timeLimit;
            fAnswerBox = answerBox;
        }

        public void makeAction(object currentState) {
            State state = (State)currentState;
            Board myBoard = state.getBoard(fMyIndex);
            Board oppBoard = state.getBoard(1 - fMyIndex);

            // 取りうる行動すべてをリストにする
            List<Action> possibleActions = myBoard.createPossibleActions();

            // 適当に１つ返す
            fAnswerBox[0] = possibleActions[fRand.Next(possibleActions.Count)];
        }
    }
}
