﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PojeClient {
    // PTP，ユーザ，AI など，行動を決定する主体のインタフェース
    interface Player {
        // 名前を返す
        String getName();

        // ゲーム開始前の処理
        void newGame(int yourIndex);

        // ゲーム終了の処理
        void endGame(int result);

        // パラメータをもらう
        void setParam(int timeLimit, Action[] answerBox);

        // 行動を決定する
        void makeAction(object currentState);


    }
}
